Skip to main content
POST
/
domains
Create a Domain for an Organization
curl --request POST \
  --url https://{tenantDomain}/my-org/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "acme.com"
}
'
{
  "id": "ord_aW1UHetvkBWSWdCCe8DWq7",
  "org_id": "org_zW1UHutvkVWSWdCC",
  "domain": "acme.com",
  "status": "pending",
  "verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
  "verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
domain
string
required

Domain name.

Pattern: ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9-]*[A-Za-z0-9])$

Response

Domain successfully created for organization.

id
string
required

Organization domain identifier.

Pattern: ^ord_[A-Za-z0-9]{22}$
org_id
string
required

Organization identifier.

Pattern: ^org_[A-Za-z0-9]{16}$
domain
string
required

Domain name.

Pattern: ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9-]*[A-Za-z0-9])$
status
enum<string>
required

Organization domain status.

Available options:
failed,
pending,
verified
verification_txt
string
required

Value used to verify the domain.

verification_host
string
required

Stores the full domain where the TXT record should be added.